Single Recurrent Payment
curl --request POST \
--url https://nini.monieswitch.com/payout/single/recurrent \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"pin": "1235",
"amount": 1000,
"name": "Testing",
"interval": "Daily",
"email": "[email protected]",
"bankCode": "000023",
"accountNumber": "2394934324",
"narration": "Testing transaction",
"startDate": "2024-07-11T12:40:00.851Z",
"endDate": "2024-07-12T17:00:00.851Z"
}
'import requests
url = "https://nini.monieswitch.com/payout/single/recurrent"
payload = {
"pin": "1235",
"amount": 1000,
"name": "Testing",
"interval": "Daily",
"email": "[email protected]",
"bankCode": "000023",
"accountNumber": "2394934324",
"narration": "Testing transaction",
"startDate": "2024-07-11T12:40:00.851Z",
"endDate": "2024-07-12T17:00:00.851Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
pin: '1235',
amount: 1000,
name: 'Testing',
interval: 'Daily',
email: '[email protected]',
bankCode: '000023',
accountNumber: '2394934324',
narration: 'Testing transaction',
startDate: '2024-07-11T12:40:00.851Z',
endDate: '2024-07-12T17:00:00.851Z'
})
};
fetch('https://nini.monieswitch.com/payout/single/recurrent', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Recurrent transaction has been successfully scheduled",
"data": {
"id": "7b7f2edd-d96a-4583-b938-3ebd49149f4d",
"charges": 20,
"bankName": "PROVIDUS BANK",
"status": "ACTIVE",
"amount": 200,
"bankCode": "000023",
"startDate": "2024-07-02T13:48:15.851Z",
"endDate": "2024-07-03T08:45:15.851Z",
"interval": "Daily",
"narration": "Testing transaction",
"accountNumber": "2394934324",
"accountName": "SIMI MICHELLE",
"createdAt": "2024-07-02T13:45:43.685Z"
}
}Payout
Single Recurrent Payment
POST
/
payout
/
single
/
recurrent
Single Recurrent Payment
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I